import { LitElement } from 'lit';
import type { InitializableComponent } from '../../../decorators/types';
import type { Bindings } from '../atomic-search-interface/atomic-search-interface';
/**
 * The `atomic-text` component leverages the I18n translation module through the atomic-search-interface.
 */
export declare class AtomicText extends LitElement implements InitializableComponent<Bindings> {
    private static readonly propsSchema;
    bindings: Bindings;
    error: Error;
    /**
     * The string key value.
     */
    value: string;
    /**
     * The count value used for plurals.
     * @type {number}
     */
    count?: number;
    constructor();
    private get strings();
    initialize(): void;
    render(): import("lit-html").TemplateResult<1>;
}
declare global {
    interface HTMLElementTagNameMap {
        'atomic-text': AtomicText;
    }
}
